/* main page styles */
body {
  margin: 0;
  font-family: sans-serif, Helvetica, Arial;
  background-color: white;
  color: black;
}


a[href]:hover { color:blue; text-decoration: underline; }
a[href]:link { color:blue; text-decoration: none; }
a[href] { color:blue; text-decoration: none; }

#header {
  padding-left: 5em;
  border-bottom: 1px solid #444;
  margin: 0;
}

a#header {
  display: block;
  background: url('/images/chicago-96th-floor-pano-small.jpg');
  background-position: center;
  background-repeat: no-repeat;
  height: 200px;
  border-bottom: thin solid black;
}

h1 {
  font-size: 120%;
  font-weight: bold;
  text-align: right;
}

#header a:after {
  content: ": ";
}
 

#sidebar {
  float: right;
  text-align: right;
  background-color: #eee;
  border-left: 1em solid white;
  border-bottom: 1em solid white;
  width: 13em;
  margin-left: 1em;
  margin-bottom: 1em;
}

#sidebar ul {
  margin: 0;
    border: 0;
  margin-bottom: 1em;
}

#sidebar li {
  padding: 1 1em 1 1em;
    margin: 0;
  border: 0;
    list-style-type: none;
  text-align: right;
    white-space: nowrap;
}


#sidebar p {
  padding: 1em;
  margin: 0;
  border: 0;
  white-space: nowrap;
}

#sidebar p:first-line {
  font-weight: bold;
}

#content {
 margin-left: 1em;
}

#body {
 margin-right: 14em;
}


.datehead {
  margin-left: -10px;
  font-weight: bold;
  color: black;
  padding-left: 10px;
  background-color: #eeeeee;
  border-top: 1px solid #afafaf;
  border-bottom: none;
}

/* ENTRY STYLING */
.entry .title {
  border-bottom: 1px solid #ddd;
  font-weight: bold;
  text-align: left;
}

.entry .date {
  border-bottom: 1px solid #aaa;
  font-weight: bold;
  background: #eee;
  text-align: left;
}

.entry  p,blockquote,li,dd {
  text-align: justify;
}

.entry .meta {
  font-size: small;
  padding-bottom: 20px;
}

.entry p.small {
  font-size: small;
}

.entry blockquote {
  font-style: italic;
  padding-bottom: 10px;
}

.entry pre.code {
  text-align: left;
  padding-left: 2;
  padding-right: 2 
  margin-left: 2;
  margin-right: 2;
  background-color: #eeeeee;
  font-family: monospace;
}

.entry code {
  background-color: #eeeeee;
}

/* COMMENT STYLING */
.comment .meta {
  margin-top: 2em;
  padding: 1px;
  border-bottom: 1px solid #afafaf;
  background: #eee;
}

.comment .meta .author {
  font-weight: bold;
  text-align: left;
}

.comment .meta .date-created {
  text-align: right;
}

.comment pre {
  font-family: monospace;
}

.comment-form td {
  vertical-align: top;
}

.comment-form td#preview {
  border: thin solid black;
  background: #eee;
  padding: 1em;
  margin: 1em;
}

table.data {
   border-spacing: 0px;
}
.data th {
vertical-align: bottom;
border-bottom: thin solid black;
text-align: left;
padding-right:1em;
padding-left:.1em;
}
.data td {
vertical-align: top;
border-bottom: 1px solid lightgray;
margin: 0px;
padding-right:1em;
padding-left:.1em;
}
tr.new td {
border-bottom: thin solid black;
}
td.new {
border-bottom: thin solid black;
}

.highlight-python pre {
    font-family: 'Consolas', 'Deja Vu Sans Mono',
                 'Bitstream Vera Sans Mono', monospace;
    font-size: 0.95em;
    letter-spacing: 0.015em;
    line-height: 120%;
    padding: 0.5em;
    border: 1px solid #ccc;
    background-color: #f8f8f8;
}
